public abstract class Lista {
	
	private No inicio;
	private No fim;
	private int elementos;
	
	public Lista () {
    	inicio = fim = null;
		elementos = 0; 
	}
	
	public No getInicio() {
		return inicio;
	}

	public No getFim() {
		return fim;
	}
	
	public int getElementos() {
		return elementos;
	}


	public void setInicio(No inicio) {
		this.inicio = inicio;
	}

	public void setFim(No fim) {
		this.fim = fim;
	}
	
	public void setElementos(int elementos) {
		this.elementos = elementos;
	}


	public abstract boolean insere(No no);
	public abstract No remove();
	public abstract String lista();
}